<?php
session_start();
require_once 'config/config.php';
require_once 'includes/functions.php';

// 检查用户是否已登录
if (!isset($_SESSION['user_id'])) {
    header('Location: login.php');
    exit;
}

// 获取用户信息
$userId = $_SESSION['user_id'];
$userName = $_SESSION['full_name'];
$userRole = $_SESSION['user_role'];
?>
<!DOCTYPE html>
<html lang="zh-CN">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>主页 - <?php echo SITE_NAME; ?></title>
    <link rel="stylesheet" href="css/style.css">
</head>

<body>
    <header class="main-header">
        <div class="user-info">
            <span class="user-name"><?php echo $userName; ?></span>
            <span class="user-role"><?php echo $userRole; ?></span>
        </div>

        <div class="site-title">
            <h1><?php echo SITE_NAME; ?></h1>
            <p><?php echo SITE_SUBTITLE; ?></p>
        </div>

        <div class="header-actions">
            <a href="logout.php" class="btn btn-logout">退出登录</a>
        </div>
    </header>

    <main class="home-content">
        <div class="module-grid">
            <!-- 采购管理 -->
            <div class="module-card">

                <h2>采购管理</h2>
                <p>供应商管理 采购订单<br>采购入库 采购对账</p>
                <a href="modules/purchase/index.php" class="btn btn-primary">进入模块</a>
            </div>

            <!-- 商品管理 -->
            <div class="module-card">

                <h2>商品管理</h2>
                <p>商品档案管理 批次与保质期管理</p>
                <a href="modules/product/index.php" class="btn btn-primary">进入模块</a>
            </div>

            <!-- 库存管理 -->
            <div class="module-card">

                <h2>库存管理</h2>
                <p>多仓库管理 库存查询<br>库存预警 批次管理<br>库存调拨 盘点管理</p>
                <a href="modules/inventory/index.php" class="btn btn-primary">进入模块</a>
            </div>

            <!-- 销售管理 -->
            <div class="module-card">

                <h2>销售管理</h2>
                <p>客户管理 销售订单<br>销售开单 销售出库<br>对账结算 自定义账单</p>
                <a href="modules/sales/index.php" class="btn btn-primary">进入模块</a>
            </div>

            <!-- 促销与会员 -->
            <div class="module-card">

                <h2>促销与会员</h2>
                <p>促销管理 会员管理<br>积分兑换</p>
                <a href="modules/promotion/index.php" class="btn btn-primary">进入模块</a>
            </div>

            <!-- 数据分析与报表 -->
            <div class="module-card">

                <h2>数据分析与报表</h2>
                <p>热门商品 库存分析<br>销售分析 财务报表</p>
                <a href="modules/analysis/index.php" class="btn btn-primary">进入模块</a>
            </div>

            <!-- 物流配送 -->
            <div class="module-card">

                <h2>物流配送</h2>
                <p>配送管理 物流跟踪</p>
                <a href="modules/logistics/index.php" class="btn btn-primary">进入模块</a>
            </div>

            <!-- 系统管理 -->
            <div class="module-card">

                <h2>系统管理</h2>
                <p>用户管理 操作日志<br>数据备份</p>
                <a href="modules/system/index.php" class="btn btn-primary">进入模块</a>
            </div>
        </div>
    </main>

    <footer class="main-footer">
        <p>&copy; <?php echo date('Y'); ?> <?php echo SITE_NAME; ?> - 版权所有</p>
    </footer>
</body>

</html>