<?php
// 防止直接访问
defined('IN_SYSTEM') || die('禁止访问');
?>

<!-- 显示消息 -->
<?php if (!empty($message)): ?>
    <div class="alert alert-<?php echo $messageType; ?>"><?php echo $message; ?></div>
<?php endif; ?>

<div class="module-tools">
    <div class="tool-left">
        <a href="index.php?page=statement&action=view&id=<?php echo $receivableData['receivable_id']; ?>" class="btn btn-secondary">返回详情</a>
    </div>
</div>

<div class="form-container">
    <h3>添加回款记录</h3>

    <div class="detail-container summary-box">
        <h4>应收账款信息</h4>
        <div class="detail-group">
            <label>应收账款编号：</label>
            <span><?php echo "AR" . str_pad($receivableData['receivable_id'] ?? '', 6, '0', STR_PAD_LEFT); ?></span>
        </div>
        <div class="detail-group">
            <label>客户：</label>
            <span><?php echo htmlspecialchars($receivableData['customer_name'] ?? ''); ?></span>
        </div>
        <div class="detail-group">
            <label>应收金额：</label>
            <span><?php echo number_format($receivableData['amount'] ?? 0, 2); ?> 元</span>
        </div>
        <div class="detail-group">
            <label>已付金额：</label>
            <span><?php echo number_format($receivableData['paid_amount'] ?? 0, 2); ?> 元</span>
        </div>
        <div class="detail-group">
            <label>未付金额：</label>
            <span><?php echo number_format(($receivableData['amount'] ?? 0) - ($receivableData['paid_amount'] ?? 0), 2); ?> 元</span>
        </div>
    </div>

    <form action="index.php?page=statement&action=add_payment&id=<?php echo $receivableData['receivable_id']; ?>" method="post" id="payment-form">
        <div class="form-group">
            <label for="amount">回款金额(元)：<span class="required">*</span></label>
            <input type="number" name="amount" id="amount" min="0.01" step="0.01" class="form-control" required
                value="<?php echo number_format(($receivableData['amount'] ?? 0) - ($receivableData['paid_amount'] ?? 0), 2, '.', ''); ?>">
            <small class="form-text text-muted">最大可回款金额：<?php echo number_format(($receivableData['amount'] ?? 0) - ($receivableData['paid_amount'] ?? 0), 2); ?> 元</small>
        </div>

        <div class="form-group">
            <label for="payment_date">回款日期：<span class="required">*</span></label>
            <input type="date" name="payment_date" id="payment_date" class="form-control" required
                value="<?php echo date('Y-m-d'); ?>">
        </div>

        <div class="form-group">
            <label for="payment_method">回款方式：<span class="required">*</span></label>
            <select name="payment_method" id="payment_method" class="form-control" required>
                <option value="">-- 请选择回款方式 --</option>
                <option value="cash">现金</option>
                <option value="bank_transfer">转账</option>
                <option value="alipay">支付宝</option>
                <option value="wechat">微信</option>
                <option value="other">其他</option>
            </select>
        </div>

        <div class="form-group">
            <label for="reference">参考号：</label>
            <input type="text" name="reference" id="reference" class="form-control"
                placeholder="例如：转账流水号、支票编号等">
        </div>

        <div class="form-group">
            <label for="notes">备注：</label>
            <textarea name="notes" id="notes" class="form-control" rows="4"></textarea>
        </div>

        <div class="form-group">
            <button type="submit" class="btn btn-primary">记录回款</button>
            <a href="index.php?page=statement&action=view&id=<?php echo $receivableData['receivable_id']; ?>" class="btn btn-secondary">取消</a>
        </div>
    </form>
</div>

<script>
    // 验证回款金额不超过未付金额
    document.getElementById('payment-form').addEventListener('submit', function(e) {
        var amount = parseFloat(document.getElementById('amount').value);
        var maxAmount = <?php echo ($receivableData['amount'] ?? 0) - ($receivableData['paid_amount'] ?? 0); ?>;

        if (amount > maxAmount) {
            alert('回款金额不能超过未付金额（' + maxAmount.toFixed(2) + ' 元）');
            e.preventDefault();
        }
    });
</script>

<style>
    .summary-box {
        background-color: #f9f9f9;
        border: 1px solid #eee;
        padding: 15px;
        margin-bottom: 20px;
    }
</style>