<?php
// 批次加载测试页面
session_start();
require_once '../../config/config.php';

// 确保已登录
if (!isset($_SESSION['user_id'])) {
    header('Location: ../../login.php');
    exit;
}
?>
<!DOCTYPE html>
<html lang="zh-CN">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>批次加载测试</title>
    <link rel="stylesheet" href="../../css/style.css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
</head>

<body>
    <div class="container">
        <h1>批次加载测试</h1>

        <div class="form-group">
            <label for="product_id">商品ID:</label>
            <input type="number" id="product_id" value="1" class="form-control">
        </div>

        <div class="form-group">
            <label for="warehouse_id">仓库ID:</label>
            <input type="number" id="warehouse_id" value="1" class="form-control">
        </div>

        <div class="form-group">
            <label for="batch_id">批次ID (可选):</label>
            <input type="number" id="batch_id" value="" class="form-control">
        </div>

        <div class="form-group">
            <button id="test1" class="btn btn-primary">测试路径1 (相对路径)</button>
            <button id="test2" class="btn btn-primary">测试路径2 (index.php路由)</button>
            <button id="test3" class="btn btn-primary">测试路径3 (绝对路径)</button>
        </div>

        <div class="result">
            <h3>测试结果:</h3>
            <pre id="result" style="background:#f4f4f4;padding:10px;border:1px solid #ddd;max-height:300px;overflow:auto;"></pre>
        </div>
    </div>

    <script>
        $(document).ready(function() {
            // 测试路径1
            $("#test1").click(function() {
                testBatchLoading("ajax/get_batches.php");
            });

            // 测试路径2
            $("#test2").click(function() {
                testBatchLoading("index.php?module=sales&page=ajax/get_batches");
            });

            // 测试路径3
            $("#test3").click(function() {
                testBatchLoading("../../modules/sales/ajax/get_batches.php");
            });

            // 批次加载测试函数
            function testBatchLoading(url) {
                var productId = $("#product_id").val();
                var warehouseId = $("#warehouse_id").val();
                var batchId = $("#batch_id").val();

                $("#result").html("正在请求: " + url + "...");

                $.ajax({
                    url: url,
                    type: "GET",
                    dataType: "json",
                    data: {
                        product_id: productId,
                        warehouse_id: warehouseId,
                        batch_id: batchId
                    },
                    success: function(response) {
                        $("#result").html(
                            "URL: " + url + "\n" +
                            "状态: 成功\n" +
                            "响应: " + JSON.stringify(response, null, 2)
                        );
                    },
                    error: function(xhr, status, error) {
                        $("#result").html(
                            "URL: " + url + "\n" +
                            "状态: 失败 (" + status + ")\n" +
                            "错误: " + error + "\n" +
                            "响应: " + xhr.responseText.substring(0, 500) +
                            (xhr.responseText.length > 500 ? "..." : "")
                        );
                    }
                });
            }
        });
    </script>
</body>

</html>